commit:     e5022244473d3d8a51bb869585458b38fbba2fa2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 25 08:53:14 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 25 08:53:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5022244

dev-ruby/rspec-rails: also allow rspec 3.8 to be used

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rspec-rails/rspec-rails-4.0.0.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/rspec-rails/rspec-rails-4.0.0.ebuild 
b/dev-ruby/rspec-rails/rspec-rails-4.0.0.ebuild
index 4f9119ce03e..0fafb0c55d7 100644
--- a/dev-ruby/rspec-rails/rspec-rails-4.0.0.ebuild
+++ b/dev-ruby/rspec-rails/rspec-rails-4.0.0.ebuild
@@ -26,7 +26,7 @@ IUSE=""
 ruby_add_rdepend ">=dev-ruby/activesupport-4.2:*
        >=dev-ruby/actionpack-4.2:*
        >=dev-ruby/railties-4.2:*
-       >=dev-ruby/rspec-3.9:3"
+       >=dev-ruby/rspec-3.8:3"
 
 # Depend on the package being already installed for tests, because
 # requiring ammeter will load it, and we need a consistent set of rspec
@@ -48,6 +48,9 @@ all_ruby_prepare() {
        # Avoid broken controller generator specs for now.
        rm -fr spec/generators/rspec || die
 
-       # Fix gemspec
-       sed -i -e 's/git ls-files --/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+       # Fix gemspec and allow rspec 3.8 as well. This allows parallel 
installation 
+       # of rspec-rails:3 given our Gentoo constraints. All tests pass.
+       sed -e 's/git ls-files --/find/' \
+               -e '/expected_rspec_version/ s/3.9.0/3.8.0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
 }

Reply via email to